Package: groovy.org.codenarc.source

## [Groovy] Class CustomCompilerPhaseSourceDecorator

- groovy.org.codenarc.source.CustomCompilerPhaseSourceDecorator

- A SourceCode decorator overriding the decorated source's returned AST so that it meets the user's compilerPhase requirements. Ensures that the compiler phase is before classes are output to disk.

  Authors:
    Artur Gajowy

- - ### Constructor Summary

    Constructors
    Constructor and description
    `CustomCompilerPhaseSourceDecorator (SourceCode delegate, int compilerPhase)`

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `int` | `getAstCompilerPhase()`
    `` | `String` | `getName()`
    `` | `String` | `getPath()`
    `` | `SuppressionAnalyzer` | `getSuppressionAnalyzer()`
    `` | `String` | `getText()`
    `` | `String` | `toString()`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class AbstractSourceCode` | `getAst, getAstCompilerPhase, getLineNumberForCharacterIndex, getLines, getMethodCallExpressions, isValid, line, normalizePath, setSuppressionAnalyzer`

- - ### Constructor Detail

    - #### CustomCompilerPhaseSourceDecorator(SourceCode delegate, int compilerPhase)

  - ### Method Detail

    - #### @Override int getAstCompilerPhase()

    - #### String getName()

    - #### String getPath()

    - #### @Override SuppressionAnalyzer getSuppressionAnalyzer()

    - #### String getText()

    - #### String toString()